=== debian/control ===
Source: ros-rolling-rmw-implementation
Section: misc
Priority: optional
Maintainer: Audrow Nash <audrow@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest, ros-rolling-ament-index-cpp, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-performance-test-fixture, ros-rolling-rcpputils, ros-rolling-rcutils, ros-rolling-rmw, ros-rolling-rmw-connextdds, ros-rolling-rmw-cyclonedds-cpp, ros-rolling-rmw-fastrtps-cpp, ros-rolling-rmw-fastrtps-dynamic-cpp, ros-rolling-rmw-implementation-cmake, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rmw-implementation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ament-index-cpp, ros-rolling-rcpputils, ros-rolling-rcutils, ros-rolling-rmw-implementation-cmake, ros-rolling-ros-workspace, ros-rolling-rmw-cyclonedds-cpp | ros-rolling-rmw-connextdds | ros-rolling-rmw-fastrtps-cpp
Description: Proxy implementation of the ROS 2 Middleware Interface.
