## ros-rolling-rmw-implementation 2.13.0

=== debian/changelog ===
ros-rolling-rmw-implementation (2.13.0-1jammy) jammy; urgency=high



 -- William Woodall <william@openrobotics.org>  Wed, 26 Apr 2023 16:00:00 -0000

ros-rolling-rmw-implementation (2.12.0-1jammy) jammy; urgency=high

  * Dynamic Subscription (BONUS: Allocators): rmw_implementation (#219 <https://github.com/ros2/rmw_implementation/issues/219>)
  * Runtime Interface Reflection: rmw_implementation (#215 <https://github.com/ros2/rmw_implementation/issues/215>)
  * Mark the benchmark _ variables as unused. (#218 <https://github.com/ros2/rmw_implementation/issues/218>)
  * Contributors: Chris Lalancette, methylDragon

 -- William Woodall <william@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-rolling-rmw-implementation (2.11.0-1jammy) jammy; urgency=high

  * Update rmw_implementation to C++17. (#214 <https://github.com/ros2/rmw_implementation/issues/214>)
  * [rolling] Update maintainers - 2022-11-07 (#212 <https://github.com/ros2/rmw_implementation/issues/212>)
  * Build-time RMW selection does not need ament_index_cpp (#210 <https://github.com/ros2/rmw_implementation/issues/210>)
  * Contributors: Audrow Nash, Chris Lalancette, G.A. vd. Hoorn

 -- William Woodall <william@openrobotics.org>  Sun, 12 Feb 2023 16:00:00 -0000

ros-rolling-rmw-implementation (2.10.0-1jammy) jammy; urgency=high

  * Add rmw_get_gid_for_client & tests (#206 <https://github.com/ros2/rmw_implementation/issues/206>)
  * Contributors: Brian

 -- William Woodall <william@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-rolling-rmw-implementation (2.9.1-1jammy) jammy; urgency=high



 -- William Woodall <william@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-rolling-rmw-implementation (2.9.0-1jammy) jammy; urgency=high



 -- William Woodall <william@openrobotics.org>  Thu, 28 Apr 2022 16:00:00 -0000

ros-rolling-rmw-implementation (2.8.1-1jammy) jammy; urgency=high

  * add content-filtered-topic interfaces (#181 <https://github.com/ros2/rmw_implementation/issues/181>)
  * Add rmw_feature_supported() (#204 <https://github.com/ros2/rmw_implementation/issues/204>)
  * Contributors: Chen Lihui, Ivan Santiago Paunovic

 -- William Woodall <william@openrobotics.org>  Sun, 27 Mar 2022 16:00:00 -0000

ros-rolling-rmw-implementation (2.8.0-1jammy) jammy; urgency=high

  * Add EventsExecutor (#161 <https://github.com/ros2/rmw_implementation/issues/161>)
  * Contributors: iRobot ROS

 -- William Woodall <william@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-rolling-rmw-implementation (2.7.1-1jammy) jammy; urgency=high

  * Fix relative path include syntax for cpplint (#203 <https://github.com/ros2/rmw_implementation/issues/203>)
  * Support and prefer exported targets from rmw implementations (#201 <https://github.com/ros2/rmw_implementation/issues/201>)
  * Contributors: Jacob Perron, Shane Loretz

 -- William Woodall <william@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-rolling-rmw-implementation (2.7.0-1jammy) jammy; urgency=high

  * Add client/service QoS getters. (#196 <https://github.com/ros2/rmw_implementation/issues/196>)
  * Update maintainers to Audrow Nash and Michael Carroll. (#199 <https://github.com/ros2/rmw_implementation/issues/199>)
  * Contributors: Audrow Nash, mauropasse

 -- William Woodall <william@openrobotics.org>  Thu, 18 Nov 2021 16:00:00 -0000

ros-rolling-rmw-implementation (2.6.1-1jammy) jammy; urgency=high

  * Fix renamed rcpputils header (#198 <https://github.com/ros2/rmw_implementation/issues/198>)
  * Fix rmw_implementation generated documentation (#197 <https://github.com/ros2/rmw_implementation/issues/197>)
  * Contributors: Abrar Rahman Protyasha, Michel Hidalgo

 -- William Woodall <william@openrobotics.org>  Wed, 17 Nov 2021 16:00:00 -0000

ros-rolling-rmw-implementation (2.6.0-1jammy) jammy; urgency=high

  * Add rmw_publisher_wait_for_all_acked. (#188 <https://github.com/ros2/rmw_implementation/issues/188>)
  * Contributors: Barry Xu

 -- William Woodall <william@openrobotics.org>  Sun, 08 Aug 2021 16:00:00 -0000

ros-rolling-rmw-implementation (2.5.0-1jammy) jammy; urgency=high

  * Attempt to load any available RMW implementation. (#189 <https://github.com/ros2/rmw_implementation/issues/189>)
  * Update includes after rcutils/get_env.h deprecation (#190 <https://github.com/ros2/rmw_implementation/issues/190>)
  * Contributors: Chris Lalancette, Christophe Bedard

 -- William Woodall <william@openrobotics.org>  Tue, 04 May 2021 16:00:00 -0000

ros-rolling-rmw-implementation (2.4.1-1jammy) jammy; urgency=high



 -- William Woodall <william@openrobotics.org>  Thu, 15 Apr 2021 16:00:00 -0000

ros-rolling-rmw-implementation (2.4.0-1jammy) jammy; urgency=high

  * Unique network flows (#170 <https://github.com/ros2/rmw_implementation/issues/170>)
  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#185 <https://github.com/ros2/rmw_implementation/issues/185>)
  * Contributors: Ananya Muddukrishna, shonigmann

 -- William Woodall <william@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-rolling-rmw-implementation (2.3.0-1jammy) jammy; urgency=high

  * Remove rmw_connext_cpp. (#183 <https://github.com/ros2/rmw_implementation/issues/183>)
  * Add support for rmw_connextdds (#182 <https://github.com/ros2/rmw_implementation/issues/182>)
  * Contributors: Andrea Sorbini, Chris Lalancette

 -- William Woodall <william@openrobotics.org>  Wed, 24 Mar 2021 16:00:00 -0000

ros-rolling-rmw-implementation (2.2.0-1jammy) jammy; urgency=high

  * Add function for checking QoS profile compatibility (#180 <https://github.com/ros2/rmw_implementation/issues/180>)
  * Shorten some excessively long lines of CMake (#179 <https://github.com/ros2/rmw_implementation/issues/179>)
  * Add rmw_fastrtps_dynamic_cpp to the explicit group deps (#177 <https://github.com/ros2/rmw_implementation/issues/177>)
  * Contributors: Jacob Perron, Scott K Logan


